/**
 * License Agreement.
 *
 *  JBoss RichFaces - Ajax4jsf Component Library
 *
 * Copyright (C) 2007  Exadel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 */
package org.richfaces.realworld.service;


public class Constants {

	public static final String ERROR_ID = "mainform:error";
	public static final String CLEAR_ERROR_EVENT = "clearErrorEvent";
	public static final String ADD_ERROR_EVENT = "addErrorEvent";
	
	public static final String UPLOAD_ROOT = "uploadRoot";
	public static final String FILE_SEPARATOR = "file.separator";
	public static final String SLASH = "/";
	public static final String DOT = ".";
	public static final String JPG = "JPG";
	public static final int MULTY_MODE_FILE_QUANTITY = 100;
	public static final int SINGLE_MODE_FILE_QUANTITY = 1;
	public static final String MULTY = "multy";
	public static final String SINGLE = "single";
	
	public static final String ADD_IMAGE_EVENT = "addImage";
	
	public static final int KB = 1024;
	public static final String FILE_UPLOAD_CLEAR_EVENT = "fileUploadClear";
	public static final String SHOW_FILE_UPLOAD_EVENT = "showFileUpload";
	public static final String CHANGE_MODE_FILE_UPLOAD_EVENT = "changeMode";
	public static final String JPEG = "jpeg";
	
	public static final String MAIN_OUTCOME = "main";

	public static final String REGISTER_LOGIN_NAME_ID = "register:loginName";
	public static final String REGISTER_CONFIRM_PASSWORD_ID = "register:confirmPassword";
	public static final String INDEX_OUTCOME = "index";
	public static final String ADMIN_ROLE = "admin";
	public static final String GUEST_ROLE = "guest";
	public static final String UPDATE_MAIN_AREA_EVENT = "updateMainArea";
	
	public static final String TREE_ID = "tree";
	public static final String CLEAR_EDITOR_EVENT = "clearEditor";
	public static final String RE = "Re:";
	
	public static final String SEND_MESSAGE_EVENT = "sendMessage";
	public static final String HTTPS = "https://";
	public static final String HTTP = "http://";
	public static final String HTTP_1_0 = "HTTP/1.0";
	public static final String HTTP_1_1 = "HTTP/1.1";
	public static final String PICTURE_FOLDER_PATH = "/picture/";
	public static final String MINI_FORMAT = "_mini";
	public static final String MEDIUM_FORMAT = "_medium";
	public static String URL = "URL";
	public static String HTML = "HTML";
	public static String FORUM = "Forum";
	public static String HTML_PATTERN = "<a href='%s'><img src='%s' border='0'></a>";
	public static String FORUM_PATTERN = "[URL=%s][IMG]%s[/IMG][/URL]";
	public static final String ERROR_PAGE = "/error.seam";
	public static final String IMAGE_JPG = "image/jpg";
	public static final String PATH_PARAMETER = "path";
	public static final String FILE_MANAGER = "fileManager";
	public static final String ENTITY_MANAGER = "entityManager";
	public static final String USER_ID = "userId";
	public static final int INITIAL_DELAY = 10000;
	public static final int DELAY = 1000;
	public static final String ALBUM_NODE_TYPE = "album";
	public static final String USER_MANAGER = "userManager";
	public static final String TREE_FRIEND_ALBUM_TYPE = "treeFriendAlbum";
	public static final String TREE_FRIEND_ROOT_NODE_TYPE = "treeRootFriend";
	public static final String USER = "user";
	public static final String TREE_FRIEND_TYPE = "treeFriendsAlbums";
	public static final String TREE_MY_ALBUMS_TYPE = "treeMyAlbums";
	public static final String TREE_MY_ALBUMS_ITEM = "treeMyAlbumsItem";
	public static final String TREE_ROOT_NODE_TYPE = "treeRoot";
	public static final String DATASCROLLER_ID = "mainform:imageScroller";
	
	public static final String FIRST = "first";
	public static final String NEXT = "next";
	public static final String LAST = "last";
	public static final String PREVIOUS = "previous";
	public static final String OWNER_PARAM = "owner";
	public static final String AUTHOR_PARAM = "author";
	public static final String USER_HISTORY_MESSAGES_QUERY = "user-historyMessages";
	public static final String USER_FRIEND_EXIST_QUERY = "user-friendExist";
	public static final String USER_AVAILABLE_USERS_QUERY = "user-availableUsers";
	public static final String USER_EXIST_QUERY = "user-exist";
	public static final String USER_LOGIN_QUERY = "user-login";
	public static final String USER_ROOT_ALBUMS_QUERY = "user-rootAlbums";
	public static final String FRIEND_PARAMETER = "friend";
	public static final String PERCENT = "%";
	public static final String LOGIN_PARAMETER = "login";
	public static final String PASSWORD_PARAMETER = "password";
	public static final String USERNAME_PARAMETER = "username";
	public static final String USER_OUTCOMING_MESSAGES = "user-outcomeMessages";
	public static final String MINUS = "-";
	public static final String PLUS = "+";
	public static final char MINUS_SIGN = '-';
	public static final char PLUS_SIGN = '+';
	public static final String DATE_NAMED_PARAMETER = ":date";
	public static final String UPLOAD_NAMED_PARAMETER = ":upload";
	public static final String WIDTH_NAMED_PARAMETER = ":width";
	public static final String HEIGHT_NAMED_PARAMETER = ":height";
	public static final String SIZE_NAMED_PARAMETER = ":size";
	public static final String CAMERA_NAMED_PARAMETER = ":camera";
	public static final String CHOICE_NAMED_PARAMETER = ":choice";
	public static final String SPINNER_VALUE_NAMED_PARAMETER = ":spinnerValue";
	public static final String DATE_PARAMETER = "date";
	public static final String UPLOAD_PARAMETER = "upload";
	public static final String WIDTH_PARAMETER = "width";
	public static final String HEIGHT_PARAMETER = "height";
	public static final String SIZE_PARAMETER = "size";
	public static final String CAMERA_PARAMETER = "camera";
	public static final String CHOICE_PARAMETER = "choice";
	public static final String SPINNER_VALUE_PARAMETER = "spinnerValue";
	public static final String METATAG_PARAMETER = "metatag";
	public static final String SEARCH_UNPOPULAR_QUERY_END = " order by r.total/r.hits asc";
	public static final String SEARCH_POPULAR_QUERY_END = " order by r.total/r.hits desc";
	public static final String SEARCH_RELEVANT_QUERY_BEGIN = "select i from Image i join i.rank r where i.album.shared=true";
	public static final String SEARCH_QUERY_END = " order by i.rank.total/i.rank.hits desc";
	public static final String SEARCH_QUERY_BEGIN = "select i from MetaTag t join t.parent i where upper(t.tag) like:metatag and i.album.shared=true";
	public static final String SEARCH_SENSITIVE_QUERY_BEGIN = "select i from MetaTag t join t.parent i where t.tag like:metatag and i.album.shared=true";
	public static final String STRICT_PARAMETER = "STRICT";
	public static final String CASE_SENSITIVE_PARAMETER = "CASE_SENSITIVE";
	public static final String IMAGE_TAGS_QUERY = "image-tags";
	public static final String IMAGE_CAMERA_QUERY = "image-camera";
	public static final String USER_USER_QUERY = "user-user";
	public static final String USER_COUNT_MESSAGES_QUERY = "user-countMessages";
	public static final String ALBUM_BY_ALBUM_NAME_AND_LOGIN_QUERY = "album-byAlbumNameAndLogin";
	public static final String ALBUM_NAME_PARAMETER = "albumName";
	public static final String EQUALS = "= ";
	public static final String LESSTHEN = "< ";
	public static final String GREATTHEN = "> ";
	public static final String DATE_ADDON = " and i.created";
	public static final String UPLOAD_ADDON = " and i.upload";
	public static final String HEIGHT_ADDON = " and i.height";
	public static final String SIZE_ADDON = " and i.size";
	public static final String WIDTH_ADDON = " and i.width";
	public static final String CAMERA_ADDON = " and i.cameraModel";
	public static final String VOTES_ADDON = " and i.rank.hits";
	public static final String SPINNER_ADDON = " and i.rank.total/i.rank.hits";
	public static final String STRICT = "STRICT";
	public static final String INCLUDE = "INCLUDE";
	public static final String END = "END";
	public static final String START = "START";
	private Constants(){
		
	}
	
}
