package org.richfaces.realworld.search;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.richfaces.realworld.domain.Album;
import org.richfaces.realworld.service.ISearchAction;


public class SearchOptionByAlbum extends ISearchOption {
	
	private static final String TEMPLATE = "/includes/search/result/albumsResult.xhtml";
	private static final String ALBUMS_SEARCH_RESULT = "Albums search result";
	private static final String ALBUMS = "Albums";
	Map<String, Object> params = new HashMap<String, Object>();
	
	@Override
	public String getName() {
		return ALBUMS;
	}
	
	@Override
	public String getSearchResultName() {
		return ALBUMS_SEARCH_RESULT;
	}
	
	@Override
	public void search(ISearchAction action, String q, boolean searchInMyAlbums, boolean searchInShared) {
		List<Album> searchByAlbum = action.searchByAlbum(q, searchInMyAlbums, searchInShared);
		if(searchByAlbum != null){
			setSearchResult(searchByAlbum);
		}else{
			setSearchResult(new ArrayList<Album>());
		}
	}
	
	@Override
	public String getSearchResultTemplate() {
		return TEMPLATE;
	}

	public Map<String, Object> getParams() {
		return params;
	}

	public void setParams(Map<String, Object> params) {
		this.params = params;
	}
}