/**
 * 
 */
package org.richfaces.realworld.search;

import java.util.ArrayList;
import java.util.List;

import org.richfaces.realworld.domain.MetaTag;
import org.richfaces.realworld.service.ISearchAction;

/**
 * @author Andrey
 *
 */
public class SearchOptionByTag extends ISearchOption {

	private static final String TEMPLATE = "/includes/search/result/tagsResult.xhtml";
	private static final String TAGS_SEARCH_RESULT = "Tags search result";
	private static final String TAGS = "Tags";

	/* (non-Javadoc)
	 * @see org.richfaces.realworld.search.ISearchOption#getName()
	 */
	@Override
	public String getName() {
		return TAGS;
	}

	/* (non-Javadoc)
	 * @see org.richfaces.realworld.search.ISearchOption#getSearchResultName()
	 */
	@Override
	public String getSearchResultName() {
		return TAGS_SEARCH_RESULT;
	}

	/* (non-Javadoc)
	 * @see org.richfaces.realworld.search.ISearchOption#getSearchResultTemplate()
	 */
	@Override
	public String getSearchResultTemplate() {
		return TEMPLATE;
	}

	/* (non-Javadoc)
	 * @see org.richfaces.realworld.search.ISearchOption#search(org.richfaces.realworld.service.ISearchAction, java.lang.String, boolean, boolean)
	 */
	@Override
	public void search(ISearchAction action, String searchQuery,
			boolean searchInMyAlbums, boolean searchInShared) {
		List<MetaTag> searchByTags = action.searchByTags(searchQuery, searchInMyAlbums, searchInShared);
		if(searchByTags != null){
			setSearchResult(searchByTags);
		}else{
			setSearchResult(new ArrayList<MetaTag>());
		}
	}
}