/**
 * 
 */
package org.richfaces.realworld.ui;

import java.io.File;
import java.io.Serializable;

import javax.faces.model.SelectItem;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Out;
import org.jboss.seam.annotations.Scope;
import org.richfaces.event.UploadEvent;
import org.richfaces.model.UploadItem;
import org.richfaces.realworld.domain.Sex;
import org.richfaces.realworld.service.Constants;
import org.richfaces.realworld.service.IUserAction;

/**
 * @author Andrey Markavtsov
 *
 */
@Name("userPrefsBean")
@Scope(ScopeType.CONVERSATION)
public class UserPrefsHelper implements Serializable{
	private static final long serialVersionUID = -1767281809514660171L;
	
	@In IUserAction userAction;
	
	Boolean avatarModalOpened = false;
	
	@In(required=false, scope=ScopeType.CONVERSATION) @Out(required=false, scope=ScopeType.CONVERSATION) private File avatarData;

	static final SelectItem[] sexs = new SelectItem[] {
			new SelectItem(Sex.MALE, Constants.MALE),
			new SelectItem(Sex.FEMALE, Constants.FEMALE) };
	
	public SelectItem [] getSexs() {
		return sexs;
	}

	public void uploadAvatar(UploadEvent event) {
		UploadItem item = event.getUploadItem();
		avatarData = item.getFile();
	}

	public Boolean getAvatarModalOpened() {
		return avatarModalOpened;
	}

	public void setAvatarModalOpened(Boolean avatarModalOpened) {
		this.avatarModalOpened = avatarModalOpened;
	}

	public File getAvatarData() {
		return avatarData;
	}

	public void setAvatarData(File avatarData) {
		this.avatarData = avatarData;
	}
}